gr::mapper::timeslot_demux_impl Class Reference

`#include <timeslot_demux_impl.h>`

Inheritance diagram for gr::mapper::timeslot_demux_impl:
[legend]

## Public Member Functions

| timeslot_demux_impl (int nusers, bool syncd, const std::vector< uint8_t > &ts_id, int ts_len)
| ~timeslot_demux_impl ()
void | forecast (int noutput_items, gr_vector_int &ninput_items_required)
int | general_work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Additional Inherited Members

Public Types inherited from gr::mapper::timeslot_demux
typedef boost::shared_ptr< timeslot_demux > | sptr
Static Public Member Functions inherited from gr::mapper::timeslot_demux
static sptr | make (int nusers, bool syncd, const std::vector< uint8_t > &ts_id, int ts_len)
| Return a shared_ptr to a new instance of mapper::timeslot_demux.

## Constructor & Destructor Documentation

## timeslot_demux_impl()

gr::mapper::timeslot_demux_impl::timeslot_demux_impl | ( | int | nusers,
|  | bool | syncd,
|  | const std::vector< uint8_t > & | ts_id,
|  | int | ts_len
| ) |  |

## ~timeslot_demux_impl()

gr::mapper::timeslot_demux_impl::~timeslot_demux_impl | ( |  | ) |

## Member Function Documentation

## forecast()

void gr::mapper::timeslot_demux_impl::forecast | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items_required
| ) |  |

## general_work()

int gr::mapper::timeslot_demux_impl::general_work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) |  |

The documentation for this class was generated from the following file:

- timeslot_demux_impl.h